Skip to content
VirtlixCP

Documentation / API

DHCP Servers

List DHCP Servers

GET /pxe/dhcp

List of DHCP Servers

Response 200: List of DHCP Servers

Field Type Description
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string

Create DHCP Server

POST /pxe/dhcp

Add new DHCP Server

Request body

Field Type Required Description
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
name string

Response 200: DHCP Server Information

Field Type Description
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string

Request body

Field Type Required Description
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
name string

Response 422: Unprocessable Entity

Delete DHCP Server

DELETE /pxe/dhcp/{dhcp_id}

Delete a VirtlixCP DHCP Server

Response 200: DHCP Server deleted successfully

Response 404: Item not Found

View DHCP Server

GET /pxe/dhcp/{dhcp_id}

A DHCP Server

Response 200: A DHCP Server

Field Type Description
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string

Edit DHCP Server

PATCH /pxe/dhcp/{dhcp_id}

Request body

Field Type Required Description
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
name string

Response 200: A VirtlixCP DHCP Server

Field Type Description
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string

Request body

Field Type Required Description
http object
http.host string
http.api_key string
http.port integer
http.use_https boolean
name string

Response 422: Unprocessable Entity